summaryrefslogtreecommitdiff
AgeCommit message (Collapse)Author
2021-03-02[iceweasel-l10n]: upgrade to v86iceweaselbill-auger
2021-03-02[iceweasel]: update v86 branding checksumbill-auger
2021-02-28libre/iceweasel: 86.0 sync with upstream projectsgrizzlyuser
2021-02-28libre/iceweasel: 85.0.1-parabola1grizzlyuser
Arch Linux 32 removed their recent change to makedepends.
2021-02-27pcr: Add python-redmine from AurDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-25[arm/libre-testing/systemd]: v247.3bill-auger
2021-02-25[pacman-mirrorlist]: add new mirrorbill-auger
2021-02-22addpkg: pcr/portaudio-git 1:19.6.0.r749.78415a8-1David P
Signed-off-by: David P <megver83@parabola.nu>
2021-02-21addpkg: nonsystemd/brltty 6.3-1.nonsystemd1David P
Signed-off-by: David P <megver83@parabola.nu>
2021-02-21updpkg: libre/rp-pppoe 3.14-2.parabola1David P
Signed-off-by: David P <megver83@parabola.nu>
2021-02-21updpkg: pcr/parabolaiso-git v51.r1.c43fdf45-1David P
Signed-off-by: David P <megver83@parabola.nu>
2021-02-21updpkg: libre/parabolaiso 51-1David P
Signed-off-by: David P <megver83@parabola.nu>
2021-02-20updpkg: libre/gst-plugins-bad 1.18.3-2.parabola1David P
Signed-off-by: David P <megver83@parabola.nu>
2021-02-18Update [pcr/i2p] to 0.9.49Freemor
2021-02-14libre: qtcreator: sync from core from 4.12.4-1 to 4.14.0-4Denis 'GNUtoo' Carikli
libre.patch seem not to be needed anymore, as merely not having the qt5-webengine dependency during build and/or not having any support for qt5-webengine in various Qt components is enough to build qtcreator. Builds without qt5-webengine seem to be used for running tests. The tests/system/README file inside the qt5-webengine source code has more information on that. The qtcreator package still needs to be tested at runtime to understand if removing the libre.patch has any bad side effects. Without that patch, qtcreator cannot be installed anymore: # pacman -S qtcreator resolving dependencies... warning: cannot resolve "clang=10.0.1", a dependency of "qtcreator" :: The following package cannot be upgraded due to unresolvable dependencies: qtcreator :: Do you want to skip the above package for this upgrade? [y/N] and building a package without the refreshed patch would make it easier for people to test if it works fine. As the patch is pretty easy to refresh it shouldn't be too much time consuming to refresh it if it turns out that it is really needed. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-12pcr: fomu-verilog-blink: sync with AurDenis 'GNUtoo' Carikli
As we don't have binary packages yet, we don't need to increment the package revision. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-12pcr: fomu-verilog-blink: add forgetten LICENSEDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-12pcr: import fomu-verilog-blink from AURDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-10[cups-filters]: rebuild against latest popplerbill-auger
2021-02-10[texlive-bin]: rebuild against latest popplerbill-auger
2021-02-10[texlive-bin]: rebuild against latest popplerbill-auger
2021-02-10[cups-filters]: upgrade to v1.28.7bill-auger
2021-02-09[icecat-l10n]: upgrade to v78.7.0bill-auger
2021-02-09[icecat]: upgrade to v78.7.0bill-auger
2021-02-09housekeepingbill-auger
2021-02-09pcr: nextpnr-git: update pkgverDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-06systemd-247.3-1.parabola1: updating versionOmar Vega Ramos
2021-02-06filesystem-2021.01.19-1.parabola1: updating versionOmar Vega Ramos
2021-02-04Revert "uboot4extlinux-sunxi: .install: make u-boot image path configurable"Denis 'GNUtoo' Carikli
This commit was accidentally pushed to master instead of a branch. This reverts commit 1f2f68301569e4918d2d1da122ff241f93561ab8.
2021-02-03Revert "[WIP] Enable cross build of u-boot"Denis 'GNUtoo' Carikli
This commit was accidentally pushed to master instead of a branch. This reverts commit 0a65e2a74db2ccc00dbf2c18f80f147ea29a99e6.
2021-02-03[WIP] Enable cross build of u-bootDenis 'GNUtoo' Carikli
TODO: - Create a hook script - Finish the u-boot-sunxi-install script - Add dependencies for the install script (utils-linux) - Test on real hardware (lime2, pcduino-lite) Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-02uboot4extlinux-sunxi: .install: make u-boot image path configurableDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-02-02libre: pacman: fix pacman.conf checksumsDenis 'GNUtoo' Carikli
Without that fix, with makepkg on i686 we have: ==> Validating source files with sha256sums... pacman-5.2.2.tar.gz ... Passed pacman-5.2.2.tar.gz.sig ... Skipped pacman.conf.x86_64 ... FAILED pacman.conf.i686 ... FAILED pacman.conf.armv7h ... FAILED As the pacman.conf configuration files are provided by abslibre, we can simply update their checksums blindly. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-01-29pcr: nextpnr-git: add armv7h supportDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-01-29pcr: symbiflow: sync with AurDenis 'GNUtoo' Carikli
After syncing with Aur, I also run makepkg to make makepkg update the pkgver in the PKGBUILD. This should ensure that the PKGBUILD doesn't need to be modified at build time by libremakepkg. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-01-28[iceweasel-l10n]: upgrade to v85.0bill-auger
2021-01-28[iceweasel]: housekeepingbill-auger
2021-01-28libre/iceweasel: upgrade to v85.0grizzlyuser
Update according to upstream changes, including from i686. Libre patching of onboarding cards not needed anymore as removed upstream [1]. Fix minor typo in Remote Settings patch. Fix path in _check_build_config() in PKGBUILD. [1] https://bugzilla.mozilla.org/show_bug.cgi?id=1675127
2021-01-28[perl-file-rename]: move to PCRbill-auger
2021-01-28Update libre/your-freedomParabola automatic package builder
2021-01-28libre: your-freedom_emu: improve package descriptionDenis 'GNUtoo' Carikli
Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
2021-01-28[icinga2]: upgrade to v2.12.3bill-auger
2021-01-28[python-rosinstall]: fix typo in pkgdescbill-auger
2021-01-27[freefilesync]: tweak for i686bill-auger
2021-01-27[freefilesync]: upgrade to v11.4bill-auger
2021-01-27[imule]: sync with AUR - drop package from [pcr]bill-auger
the HTTP server hosting the source code for this package is offline it was apparently the only upstream host source code may be acquired now, only via the IP2 network these changes (synced from AUR) attempt to accomplish that; but i did not try it i scanned the parabola source archives, in attempt to rescue this package; but did not find a source-ball for these reasons, i have deleted the parabola binary package
2021-01-27[odamex]: upgrade to v0.8.3bill-auger
2021-01-26[pidgin]: upgrade to v2.14.1bill-auger
2021-01-24[nmap]: add package (redmine #2966)bill-auger
2021-01-24Update libre/your-freedomParabola automatic package builder